### Home Classes Methods

### In Files

- kyotocabinet.rb

### Parent

Object

### Methods

- #visit_empty
- #visit_full

### Class/Module Index

Quicksearch

- KyotoCabinet
- KyotoCabinet::Cursor
- KyotoCabinet::DB
- KyotoCabinet::Error
- KyotoCabinet::FileProcessor
- KyotoCabinet::Visitor

No matching classes.

# KyotoCabinet::Visitor

Interface to access a record.

### Constants

NOP

  magic data: no operation

REMOVE

  magic data: remove the record

### Public Instance Methods

visit_empty(key) click to toggle source

Visit a empty record space.

- @param key the key.

- @return If it is a string, the value is replaced by the content. If it is Visitor::NOP or Visitor::REMOVE, nothing is modified.

    # File kyotocabinet.rb, line 161
    def visit_empty(key)
      # (native code)
    end

visit_full(key, value) click to toggle source

Visit a record.

- @param key the key.

- @param value the value.

- @return If it is a string, the value is replaced by the content. If it is Visitor::NOP, nothing is modified. If it is Visitor::REMOVE, the record is removed.

    # File kyotocabinet.rb, line 155
    def visit_full(key, value)
      # (native code)
    end

Generated with the Darkfish Rdoc Generator 2.